<id>
Acronyms SP 1.1
</id>

<version>
1.0
</version>

<mod info>
This mod provides forum members the ability to submit acronyms and their definitions.
Members can edit or remove their own submissions.
Admin and Global Moderators can edit or remove all submissions.
Admin receives email notification of any changes.
Latest acronym is shown at top.


Install Instructions:

1) Apply the mod as usual (Consult the BoardMod FAQ if you are unsure how to do this).
2) Upload the modified files to your server. (acronyms.txt goes in Variables directory, Acronyms.pl goes in your Sources directory along with the modified Subs.pl and SubsList.pl. Upload modified english.pl to yabb directory.) 
3) chmod acronyms.txt to 666. (rw-rw-rw)



Notes:

To disable email notifications, find all lines in Acronyms.pl that begin with '&sendmail' and place a '#' sign in front so they begin like '#&sendmail'

Kudos to ronnie for this mod would not exist without my hacking of his shoutbox mod. ;) :)

</mod info>

<author>
caliman
</author>


#############################################################################################################

<edit file>
YaBB.pl
</edit file>

<search for>
#BEGIN FASTFIND IF STATEMENT
</search for>

<add after>
if( $fastfind eq 'a' ) {
	if ($action eq 'acronyms') { require "$sourcedir/Acronyms.pl"; &Acronyms; }
	elsif ($action eq 'AcroAdd') { require "$sourcedir/Acronyms.pl"; &AcroAdd; }
	elsif ($action eq 'AcroEdit') { require "$sourcedir/Acronyms.pl"; &AcroEdit; }
	elsif ($action eq 'AcroEdit2') { require "$sourcedir/Acronyms.pl"; &AcroEdit2; }
	elsif ($action eq 'AcroRemove') { require "$sourcedir/Acronyms.pl"; &AcroRemove; }
}

</add after>

#############################################################################################################

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$cgi&action=searchnew">$img{'searchnew'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</search for>

<replace>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$scripturl?action=acronyms">$img{'acronyms'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</replace>

#############################################################################################################

<edit file>
english.lng
</edit file>



<search for>
$txt{'800'} = "Other";
</search for>



<add after>

$acrotxt{'1'} = "Acronyms";
$acrotxt{'2'} = "Forum Acronyms";
$acrotxt{'3'} = "Latest Acronym";
$acrotxt{'4'} = "New Acronym Added";
$acrotxt{'5'} = "Acronym Edited";
$acrotxt{'6'} = "Acronym Removed";
$acrotxt{'7'} = "EDIT ACRONYM";
$acrotxt{'8'} = "Acronym";
$acrotxt{'9'} = "Definition";
$acrotxt{'10'} = "From";
$acrotxt{'11'} = "Edit";
$acrotxt{'12'} = "Remove";
$acrotxt{'13'} = "Enter Acronym";
$acrotxt{'14'} = "Enter Definition";
$acrotxt{'15'} = "Acronym Removed";
$acrotxt{'16'} = "Removed by";
$acrotxt{'17'} = "Edited by";
$acrotxt{'18'} = "Submitted by";

</add after>


<search for>
	$menusep = ' | ';
</search for>



<add after>
	$img{'acronyms'} = qq~<font size="1" class="imgmenu">$acrotxt{'1'}</font>~;
</add after>



<search for>
	$menusep = ' ';
</search for>



<add after>
	$img{'acronyms'} = qq~<font size="1" class="imgmenu">$acrotxt{'1'}</font>~;
</add after>




